List Clients
curl --request GET \
--url https://eu-gcp-api.vg-stuff.com/v3/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"ID": "<string>",
"firebaseUid": "<string>",
"agencyId": "<string>",
"userId": "<string>",
"ownerID": "<string>",
"name": "<string>",
"email": "<string>",
"squarePhotoURL": "<string>",
"widgets": [
"<unknown>"
],
"widgetIDs": [
"<string>"
],
"dashboardUsername": "<string>",
"dashboardPassword": "<string>",
"ts": 123,
"canAccess": [
"<string>"
],
"allowedChannels": [
"<string>"
],
"allowedIntegrations": [
"<string>"
],
"clientTabOrder": [
"<string>"
],
"magicCode": "<string>",
"index": 123,
"isAdmin": true,
"usedSecret": "<string>",
"orgId": "<string>",
"isOrgAdmin": true,
"canDelegateChats": true,
"predefinedTags": [
"<string>"
],
"FB_PUSH_TOKEN": "<string>",
"notificationsSettings": {
"emailNotifyOnNewLead": true
},
"handoff": {
"maxAssignees": 123
},
"lastEmailSentTS": 123,
"preferredLanguage": "<string>",
"internal": {
"hasChangedPassword": true
},
"lastInvitationTs": 123,
"cannedResponses": [
{
"key": "<string>",
"content": "<string>"
}
],
"stripeCustomerId": "<string>",
"signupSource": "<string>",
"allowCreateAgents": true,
"hideAdvancedSettings": true,
"onboardingState": {
"currentStep": 123,
"isCompleted": true,
"completedSteps": [
123
],
"personalInfo": {
"fullName": "<string>",
"companyName": "<string>",
"role": "<string>",
"industry": "<string>"
},
"preferences": {
"primaryUseCase": "<string>",
"communicationPreferences": [
"<string>"
],
"goals": [
"<string>"
]
},
"setupData": {
"selectedAgents": [
"<string>"
],
"customizations": "<unknown>"
}
},
"isNewSignup": true,
"teams": [
{
"ID": "<string>",
"key": "<string>",
"label": "<string>",
"description": "<string>",
"orgId": "<string>"
}
]
}
],
"total": 123,
"currentPage": 123,
"pageSize": 123
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Clients
List Clients
List client users for the authenticated workspace
GET
/
clients
List Clients
Lists human client users owned by the workspace. Optionally filter with
orgId.In the dashboard, organizations are the “client” cards. API
clients are the users inside those orgs.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
